Bug 1294049 - Firstboot : Dev facts are not considered while registering the system with auto-attach
Firstboot : Dev facts are not considered while registering the system with au...
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
2.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: candlepin-bugs
Katello QA List
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-24 04:31 EST by Shwetha Kallesh
Modified: 2016-07-22 10:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-22 10:39:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shwetha Kallesh 2015-12-24 04:31:26 EST
Description of problem:
Firstboot doesnot consider the system dev facts while auto-attaching the subscriptions

Version-Release number of selected component (if applicable):
[root@hp-dl380pgen8-02-vm-16 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.13-1
subscription management rules: 5.15.1
subscription-manager: 1.16.6-1.el6
python-rhsm: 1.16.4-1.el6


How reproducible:


Steps to Reproduce:
1.Launch firstboot -----> accept license ----------> Register to RHSM ----> enter the server details ----> enter the valid credentials ----> Donot Select "Manually Attach subscriptions " ----> Click on register

2. Now open the terminal and list the consumed subscriptions and notice the subscription Start and end date , no cdk subscription is attached on a system with dev facts


3.[root@hp-dl380pgen8-02-vm-16 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name:   Red Hat Enterprise Linux Developer Suite
Provides:            Oracle Java (for RHEL Server)
                     Red Hat Enterprise Linux High Performance Networking (for RHEL Server) - Extended Update Support
                     Red Hat EUCJP Support (for RHEL Server) - Extended Update Support
                     Red Hat Beta
                     Red Hat Enterprise Linux Resilient Storage (for RHEL Server)
                     MRG Realtime
                     Red Hat Enterprise Linux Atomic Host Beta
                     Red Hat Developer Toolset (for RHEL Server)
                     Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux for Real Time
                     Red Hat Enterprise Linux Load Balancer (for RHEL Server)
                     Red Hat Container Images Beta
                     Red Hat Enterprise Linux High Availability (for RHEL Server)
                     Red Hat Container Development Kit
                     Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node)
                     Red Hat Enterprise Linux Server - Extended Update Support
                     Red Hat Enterprise Linux Atomic Host
                     Red Hat Enterprise Linux Server
                     Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support
                     Oracle Java (for RHEL Server) - Extended Update Support
                     Red Hat Software Collections (for RHEL Server)
                     Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support
                     Red Hat Software Collections Beta (for RHEL Server)
                     Red Hat Enterprise Linux Scalable File System (for RHEL Server)
                     Red Hat Container Images
                     Red Hat S-JIS Support (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux High Performance Networking (for RHEL Server)
SKU:                 RH2262474
Contract:            
Account:             
Serial:              9192539223347608132
Pool ID:             8a99f98751cd3bb40151d24c58390446
Provides Management: Yes
Active:              True
Quantity Used:       1
Service Level:       Self-Support
Service Type:        L1-L3
Status Details:      Subscription is current
Subscription Type:   Standard
Starts:              12/22/2015
Ends:                12/21/2016
System Type:         Virtual

[root@hp-dl380pgen8-02-vm-16 ~]# subscription-manager facts --list | grep dev
dev_platform: vagrant
dev_sku: RH2262474


Actual results:


Expected results:


Additional info:
Comment 2 Barnaby Court 2015-12-26 18:23:23 EST
Hi, Is the output provided in step 3 of the report from the system after firstboot is completed? The output shows a dev_sku of RH2262474 and a subscription with that SKU attached to the system.
Comment 5 Shwetha Kallesh 2016-01-19 08:01:41 EST
Yes , step 3 output after completion of registration process thro firstboot
Comment 6 William Poteat 2016-01-22 09:22:49 EST
PR at https://github.com/candlepin/candlepin/pull/1054
Comment 7 Chris Snyder 2016-02-01 14:38:19 EST
The behavior exhibited by subscription-manager in this bug appears to be the result of a bug in candlepin. The behavior in subscription-manager is resolved by the PR above for fixes in candlepin.

Moving to the candlepin component.
Comment 8 Chris Snyder 2016-02-02 14:19:31 EST
commit 6b3adb02be32be6ab0c2d7355f3aaddaffe18205
Author: William Poteat <wpoteat@redhat.com>
Date:   Wed Jan 6 12:06:07 2016 -0500

    1294044: Allow Subscription Manager Gui register process to work with Dev client
    1294049: Allow Firstboot register process to work with Dev client
    
    Stop the return of all available service levels and just return "". This way only
    one dry run is attempted. The dev pool is created at dry run and available to use
    on the bind step.
    
    Update to match master rebase


In upstream master as of the above commit
Comment 9 Mike McCune 2016-03-28 18:23:05 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 10 Barnaby Court 2016-07-22 10:39:00 EDT
Moving to closed per the updated candlepin process for bugs that have been merged or have been taken care of.

Note You need to log in before you can comment on or make changes to this bug.